PDevicePluginServiceDescriptor Class Referenceabstract

`#include <plugin.h>`

Inheritance diagram for PDevicePluginServiceDescriptor:

## Public Member Functions

virtual PObject * | CreateInstance (int userData) const =0
virtual PStringArray | GetDeviceNames (int userData) const =0
virtual bool | ValidateDeviceName (const PString &deviceName, int userData) const
virtual bool | GetDeviceCapabilities (const PString &deviceName, void *capabilities) const
Public Member Functions inherited from PPluginServiceDescriptor
| PPluginServiceDescriptor ()
virtual | ~PPluginServiceDescriptor ()
virtual unsigned | GetPluginAPIVersion () const

## Static Public Attributes

static const char | SeparatorChar

## Additional Inherited Members

Protected Attributes inherited from PPluginServiceDescriptor
unsigned | version

## Member Function Documentation

## CreateInstance()

virtual PObject* PDevicePluginServiceDescriptor::CreateInstance | ( | int | userData | ) | const

pure virtual

Implemented in PVideoOutputPluginServiceDescriptor< className >, PVideoInputPluginServiceDescriptor< className >, PSoundChannelPluginServiceDescriptor< className >, LDAPPluginServiceDescriptor< className >, and PNatMethodServiceDescriptor< className >.

## GetDeviceCapabilities()

virtual bool PDevicePluginServiceDescriptor::GetDeviceCapabilities | ( | const PString & | deviceName,
|  | void * | capabilities
| ) |  | const

virtual

Reimplemented in PVideoInputPluginServiceDescriptor< className >.

## GetDeviceNames()

virtual PStringArray PDevicePluginServiceDescriptor::GetDeviceNames | ( | int | userData | ) | const

pure virtual

Implemented in PVideoOutputPluginServiceDescriptor< className >, PVideoInputPluginServiceDescriptor< className >, PSoundChannelPluginServiceDescriptor< className >, LDAPPluginServiceDescriptor< className >, and PNatMethodServiceDescriptor< className >.

## ValidateDeviceName()

virtual bool PDevicePluginServiceDescriptor::ValidateDeviceName | ( | const PString & | deviceName,
|  | int | userData
| ) |  | const

virtual

Reimplemented in PNatMethodServiceDescriptor< className >.

## Member Data Documentation

## SeparatorChar

const char PDevicePluginServiceDescriptor::SeparatorChar

static

The documentation for this class was generated from the following file:

- plugin.h